Which Minecraft version and which mod first?

Discussion in 'Mod Development' started by UberAffe, Mar 5, 2016.

  1. UberAffe

    UberAffe New Member

    I've got a couple mod ideas that I want to start working on both of them will take a large time and effort investment to finish and I would like them to have the best chance of getting played, so which version of minecraft should I make them for.

    One of them is a form of transportation, but I mostly want to make it because of the underlying concept. That concept is multidimensional existence. This would offer a way to swap dimensional axis to as a way of getting around things. This is a pretty good example of what I am talking about. I might also add a way to walk between dimensions such as the end or the nether or any other dimension.

    This idea is a lot larger and is currently my end goal for modding. The concept is based on the lightbringer series if you have read that. I have a mostly full explanation here, but the short version is kind of like a magic version of tinkers that is based around light magic.
     
  2. RealKC

    RealKC Popular Member

    1.8.9, anyway I have to read the full explanation
     
  3. SatanicSanta

    SatanicSanta New Member

    Either 1.7.10 or wait for 1.9.

    I say this because I've heard that there are going to be an even larger number of changes to 1.9 than there were for 1.8. I'm probably even going to skip 1.8 completely for my larger mods, depending on how long 1.9 takes.

    I'd do the latter one first, just because it sounds much more complicated, but also more fun to play. Or, you could do like me and just start a million projects at once :p
     
  4. UberAffe

    UberAffe New Member

    I've already got a good chunk of it done for 1.8.9, which hopefully will ease the transition when I update to 1.9. As a side note if I can get enough time this week I should have an alpha version by this weekend for anyone who wants to help test.
     
    SatanicSanta likes this.
  5. SomeoneInPart

    SomeoneInPart Active Member

    At the risk of Necroposting, with the release of 1.10 should one stick with 1.9.4 (or another version) or move forward onto 1.10 now?
     
  6. FyberOptic

    FyberOptic New Member

    1.9.4 is fairly compatible with 1.10, but if you're making a large project then here's no point in spending time in 1.9.x.
     
    SomeoneInPart likes this.
  7. MacAisling

    MacAisling Popular Member

    As a player who is now building my own pack, I'd say your best chance for getting any real attention is to work with the most up to date versions of MC and Forge available, and release it before the big legacy mods have a chance to get caught up. Right now, any new mod added to the list for 1.10.2 on the curse launcher will get looked at, while new pack development and old pack updates for 1.7.10 has already mostly stopped. If you are looking at a year or more development time, you should be planning on jumping ahead to whatever is next as soon as forge is available and reasonably stable for it. If your mod turns out to be really good, you will then start getting demands to back port it to 1.4.6 from the players who don't want to give up their current worlds and start over.
     
    SatanicSanta likes this.

Share This Page